REMOVEPKG(8)

NAAM
removepkg - Verwijder Slackware pakketten.

SYNOPSIS
removepkg pakketnaam

[ ROOT=/mnt ] removepkg [ -copy ] [ -keep ] [ -preserve ] [ -warn ] pakketnaam

BESCHRIJVING
removepkg verwijdert een reeds geïnstalleerd Slackware pakket waarbij een voortgangsrapport naar de standard uitvoer wordt gestuurd. Een pakket kan worden aangegeven door de volledige pakketnaam (zoals weergegeven in /var/log/packages/), of door de basispakketnaam.Het pakket foo-1.0-i486-1.tgz kan bijvoorbeeld worden verwijderd met elk van de volgende opdrachten: removepkg foo-1.0-i486-1.tgz (ook herkend: .tbz, .tlz, .txz) removepkg foo-1.0-i486-1 removepkg foo.tgz removepkg foo Bij het verwijderen van bestanden zal removepkg de inhoud van andere op je systeem geïnstalleerde pakketten analyseren en alleen die bestanden verwijderen die uniek zijn voor het pakket. Tevens worden de installatie-scripts van alle andere pakketten in aanmerking genomen bij het besluit al of niet symbolische links van het pakket te verwijderen.

Het verwijderen van een pakket kan (net als het installeren) een gevaarlijke onderneming zijn. Daarom is de -warn optie beschikbaar. Als je deze gebruikt zal removepkg niet daadwerkelijk bestanden of links verwijderen maar zal een gedetailleerd rapport geven van wat het zou doen als het pakket daadwerkelijk verwijderd wordt. Dit wordt aanbevolen (en misschien via het pipe commando naar less) voordat je pakketten verwijdert om er zeker van te zijn dat je een backup hebt van belangrijke zaken.

Als een pakket wordt verwijderd wordt zijn originele bestandsindex verplaatst van /var/log/packages naar /var/log/removed_packages en zijn installatiescript van /var/log/scripts naar /var/log/removed_scripts.

OPTIES

-warn pakketnaam
    Genereer een rapport naar de standaard uitvoer over welke bestanden zouden worden verwijderd, maar verwijdert het pakket niet daadwerkelijk.

-preserve pakketnaam
    Indien aangegeven wordt de gehele boomstructuur van het pakket gereconstrueerd in /var/log/setup/tmp/preserved_packages/pakketnaam.

-copy pakketnaam
    Construeer een kopie van het pakket onder /var/log/setup/preserved_packages/pakketnaam maar verwijder dit niet. (hetzelfde effect als -warn -preserve)

-keep
    Bewaar de tijdelijke bestanden gemaakt door removepkg (delete_list, required_files, uniq_list, del_link_list, required_links, required_list). Meestal nuttig voor opsporing van fouten.

Het is mogelijk een pakket te verwijderen van een bestandssysteem anders dan / door bij removepkg een ROOT omgevingsvariabele mee te geven:

ROOT=/mnt removepkg pakket

AUTEURS
Patrick J. Volkerding <volkerdi@slackware.com>, met verbeteringen door Christian Franke <c.franke@acm.org>

ZIE OOK
installpkg(8), makepkg(8), pkgtool(8), upgradepkg(8)